org.eclnt.jsfserver.elements.componentnodes

## Class UI5_HTMLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_HTMLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_HTMLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_HTMLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_HTMLNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindContent(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindPreferdom(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindSanitizecontent(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_HTMLNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_HTMLNode` | `setAttributemacro(java.lang.String value)`
    `UI5_HTMLNode` | `setComment(java.lang.String value)`
    `UI5_HTMLNode` | `setConfiginfo(java.lang.String value)`
    `UI5_HTMLNode` | `setContent(java.lang.String value)`
    `UI5_HTMLNode` | `setId(java.lang.String value)`
    `UI5_HTMLNode` | `setLayoutdata(java.lang.String value)`
    `UI5_HTMLNode` | `setPreferdom(boolean value)`
    `UI5_HTMLNode` | `setPreferdom(java.lang.String value)`
    `UI5_HTMLNode` | `setReference(java.lang.String value)`
    `UI5_HTMLNode` | `setRendered(boolean value)`
    `UI5_HTMLNode` | `setRendered(java.lang.String value)`
    `UI5_HTMLNode` | `setSanitizecontent(boolean value)`
    `UI5_HTMLNode` | `setSanitizecontent(java.lang.String value)`
    `UI5_HTMLNode` | `setStyleseq(java.lang.String value)`
    `UI5_HTMLNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_HTMLNode

          public UI5_HTMLNode()

  - ### Method Detail

    - #### setId

          public UI5_HTMLNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5_HTMLNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_HTMLNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_HTMLNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5_HTMLNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_HTMLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_HTMLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_HTMLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setContent

          public UI5_HTMLNode setContent(java.lang.String value)

    - #### bindContent

          public UI5_HTMLNode bindContent(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5_HTMLNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5_HTMLNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setPreferdom

          public UI5_HTMLNode setPreferdom(java.lang.String value)

    - #### bindPreferdom

          public UI5_HTMLNode bindPreferdom(IDynamicContentBindingObject value)

    - #### setPreferdom

          public UI5_HTMLNode setPreferdom(boolean value)

    - #### setReference

          public UI5_HTMLNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_HTMLNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_HTMLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_HTMLNode setRendered(boolean value)

    - #### setSanitizecontent

          public UI5_HTMLNode setSanitizecontent(java.lang.String value)

    - #### bindSanitizecontent

          public UI5_HTMLNode bindSanitizecontent(IDynamicContentBindingObject value)

    - #### setSanitizecontent

          public UI5_HTMLNode setSanitizecontent(boolean value)

    - #### setStyleseq

          public UI5_HTMLNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_HTMLNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_HTMLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_HTMLNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.